Subject: Re: [Roll] [roll] #32: Asymetric Link

From: Mukul Goyal <[email-masked]>
Date: Sat, 3 Apr 2010 20:14:55 -0500 (CDT)

Phil:

Please see response below.

Mukul

----- Original Message -----
From: "Philip Levis" <[email-masked]>
To: "Mukul Goyal" <[email-masked]>
Cc: "Thomas Heide Clausen" <[email-masked]>, [email-masked]
Sent: Thursday, April 1, 2010 10:59:27 AM GMT -06:00 US/Canada Central
Subject: Re: [Roll] [roll] #32: Asymetric Link

On Apr 1, 2010, at 4:54 AM, Mukul Goyal wrote:

> Hi Thomas
> 
> I guess we have to distinguish between L3 and L2 metrics. It sees to me that RPL is concerned with L3 metrics and how they relate to L2 metrics should not bother RPL.
> 
> [Thomas] This, of course, leads to the question of below which  
> "metric" (quality, ...) a link should be considered "uni-directional"  
> rather than just "asymmetric"? To take an abstract example, assuming a  
> L2 employing ack's for each unicast transmission: if the probability  
> of getting a transmission from A to B is 100% and from B to A is 10%,  
> is the link A->B "asymmetric" or "uni-directional"? Can the metric for  
> A->B be considered without also considering the metric in the opposite  
> direction B->A?
> 
> [Mukul] In this case, I guess L3 metric A->B would automatically be quite poor because of its dependence of L2 metrics A->B and B->A. But, still L3 metric A->B is independent of the L3 metric B->A.

[Phil]

I think the discussion is a bit clearer once you consider the "metric" may not be delivery. I.e., it is possible to have a link that has 100% delivery in both directions yet highly asymmetric metrics. One simple case is latency.

I think that unidirectional links or links with very poor delivery in one direction are a diversion when it comes to routing. As Thomas points out, it is absolutely critical that a routing protocol be able to identify and ignore/avoid them: this isn't too hard. Trying to use them effectively, however, requires a lot of complexity with very little gain, so let's not go down that path.

[Mukul]

I agree. But such links should be filtered out by the metrics definition rather than by the routing protocol. RPL should certainly provide guidance in this regard (perhaps in section 10 "Guidelines for objective functions").

Thanks
Mukul